=== misc/CMakeLists.txt ===

file(GLOB_RECURSE INSTALL_DBUS_CONF ${CMAKE_CURRENT_SOURCE_DIR}/dbus/conf/*.conf)
install(FILES ${INSTALL_DBUS_CONF} DESTINATION share/dbus-1/system.d/)

file(GLOB_RECURSE INSTALL_DBUS_SERVICES ${CMAKE_CURRENT_SOURCE_DIR}/dbus/services/*.service)
install(FILES ${INSTALL_DBUS_SERVICES} DESTINATION share/dbus-1/services/)

file(GLOB_RECURSE INSTALL_DBUS_SYSTEMSERVICES ${CMAKE_CURRENT_SOURCE_DIR}/dbus/system-services/*.service)
install(FILES ${INSTALL_DBUS_SYSTEMSERVICES} DESTINATION share/dbus-1/system-services/)

file(GLOB_RECURSE INSTALL_SYSTEMD_SYSTEM ${CMAKE_CURRENT_SOURCE_DIR}/systemd/system/*.service)
install(FILES ${INSTALL_SYSTEMD_SYSTEM} DESTINATION lib/systemd/system/)

file(GLOB_RECURSE INSTALL_SYSTEMD_USER ${CMAKE_CURRENT_SOURCE_DIR}/systemd/user/*.service)
install(FILES ${INSTALL_SYSTEMD_USER} DESTINATION lib/systemd/user/)
