=== debian/changelog ===
dde-api-proxy (1.0.16) unstable; urgency=medium

  * chore: 添加PowerManager接口

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 Aug 2024 15:10:08 +0800

dde-api-proxy (1.0.15) unstable; urgency=medium

  * chore: 放开account的接口 (#45)
  * chore: 属性是subPath，发送的信号也需要转换 

 -- fuleyi <fuleyi@uniontech.com>  Tue, 06 Aug 2024 15:43:02 +0800

dde-api-proxy (1.0.14) unstable; urgency=medium

  * fix: the first call returned interface not found

 -- fuleyi <fuleyi@uniontech.com>  Fri, 26 Jul 2024 14:10:12 +0800

dde-api-proxy (1.0.13) unstable; urgency=medium

  * release to 1.0.13

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 11:20:54 +0800

dde-api-proxy (1.0.12) UNRELEASED; urgency=medium

  * chore: 开放system/network权限
  * chore: 将api-proxy启动提前
  * chore: 开放显示/网络/时间的V0接口权限，适配任务栏插件
  * chore: 开放Notification V0接口 (#31)
  * chore: 添加飞行模式接口 (#30)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 19 Jul 2024 17:34:05 +0800

dde-api-proxy (1.0.11) unstable; urgency=medium

  * chore: 支持1070蓝牙插件迁移的接口调用
  * chore: 开放ShutdownFront接口权限
  * chore: 去掉dde-dock依赖 (#22)
  * chore: 添加inputdevice子接口
  * chore: 开放power接口 (#24)
  * chore: 控制中心showpage的入参兼容v20和v23
  * chore: 开放system/power的接口
  * chore: 开放lockfront的接口

 -- Wang Fei <wangfei@deepin.org>  Mon, 08 Jul 2024 13:44:37 +0800

dde-api-proxy (1.0.10) unstable; urgency=medium

  * chore: update appearance dbus xml
  * fix: 修复 GetAll 崩溃

 -- zsien <quezhiyong@deepin.org>  Fri, 21 Jun 2024 10:20:54 +0800

dde-api-proxy (1.0.9) unstable; urgency=medium

  * fix: com.deepin.daemon.Mime not working

 -- zsien <quezhiyong@deepin.org>  Thu, 23 May 2024 10:20:44 +0800

dde-api-proxy (1.0.8) unstable; urgency=medium

  * chore: add dde-launchpad as alternative dependency of dde-launcher

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 05 Sep 2023 10:40:00 +0800

dde-api-proxy (1.0.7) unstable; urgency=medium

  * chore: remove user session systemd service
  * fix: chore: remove \r char at the end of Lines

 -- dengbo <dengbo@uniontech.com>  Thu, 11 May 2023 14:54:15 +0800

dde-api-proxy (1.0.6) unstable; urgency=medium

  * fix: add proxy for com.deepin.lastore.Job

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 11:36:20 +0800

dde-api-proxy (1.0.5) unstable; urgency=medium

  * fix: Log is too much

 -- lvpeilong <chenhongtao@uniontech.com>  Thu, 20 Apr 2023 14:44:30 +0800

dde-api-proxy (1.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 服务信号自动转发(Task: 237943)(Influence: dde-api-proxy)
  * fix: 大版本升级异常问题修复(Bug: 183785)(Influence: 升级环境)

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 02 Feb 2023 09:50:30 +0800

dde-api-proxy (1.0.3.1) unstable; urgency=medium

  [ TagBuilder ]
  * chore: 增加对DDE项目的运行依赖，解决大版本升级安装失败问题(Task: 235393)(Influence: 运行依赖)

 -- lvpeilong <lvpeilong@uniontech.com>  Tue, 10 Jan 2023 09:36:47 +0800

dde-api-proxy (1.0.2.1) unstable; urgency=medium

  * UNRELEASED

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 19:18:16 +0800

dde-api-proxy (1.0.1.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 实现DDE接口的代理服务2(Task: 222561)(Influence: DBUS接口兼容性)
  * feat: 支持多种类型的子PATH属性(Task: 222561)(Influence: 支持多种类型的子PATH属性)
  * feat: 实现DDE接口的代理服务3(Task: 225417)(Influence: DBUS接口兼容性)
  * feat: 新增控制中心GrandSearch接口的代理(Task: 225417)(Influence: DBUS代理接口)
  * feat: 非统计的DBUS代理接口补充(Task: 227237)(Influence: DBUS代理接口)
  * feat: 服务接口代理的初版简单统计(Task: 227483)(Influence: 代理调用统计)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 18:45:30 +0800

dde-api-proxy (1.0.0) unstable; urgency=medium

  * 1.0.0 init

 -- Tan Feng <tanfeng@uniontech.com>  Thu, 01 Dec 2022 21:10:20 +0800
