=== debian/control ===
Source: dde-api-proxy
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 pkg-config,
 libdtkcore-dev (>=5.4.14),
 libdtkcore5-bin,
 qtbase5-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-api-proxy
Architecture: any
Depends:
 dde-api-dbus-proxy-v1,
Description: dde api proxy index
  dde-api-proxy is used for compatibility with old APIs for DDE.

Package: dde-api-dbus-proxy-v1
Architecture: any
Depends:
 dde-daemon (>= 6.0.7),
 dde-permission-manager (>= 1.0.5),
 lastore-daemon (>= 6.0.2),
 dde-launcher (>= 6.0.5.2) | dde-launchpad (>= 0.0.1),
 dde-control-center (>= 6.0.5),
 dde-session-shell (>= 6.0.4),
 dde-session-ui (>= 6.0.5),
 deepin-pw-check (>= 6.0.1),
 ${misc:Depends},
 ${shlibs:Depends},
Description: dde api dbus proxy module
  dde-api-dbus-proxy is used for compatibility with old dbus APIs for DDE.
