=== debian/changelog ===
dde-api-proxy (1.0.19.1) unstable; urgency=medium

  * feat: 修复dde-api-proxy安全漏洞
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp
  * feat: 进程优化

 -- fuleyi <fuleyi@uniontech.com>  Fri, 17 Jan 2025 10:59:28 +0800

dde-api-proxy (1.0.18) unstable; urgency=medium

  * feat: Expose the Visible property of lockFront in DBus interface (#53)
  * chore: systemd hardening

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 15:53:08 +0800

dde-api-proxy (1.0.17) unstable; urgency=medium

  * chore: account添加UUID、Workspace属性，解决获取不到的问题

 -- fuleyi <fuleyi@uniontech.com>  Wed, 28 Aug 2024 17:37:40 +0800
