=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  libdtkcore-dev (>=5.4.14),
  libdtkcore5-bin,
  qtbase5-dev,
+ libpolkit-qt5-1-dev,
 Standards-Version: 4.1.3
 Homepage: https://www.deepin.org
