=== src/CMakeLists.txt ===

set(DBUS_FILE_PATH ${PROJECT_SOURCE_DIR}/file/dbus)

add_subdirectory("dbus-proxy")
