=== debian/changelog ===
dde-api-proxy (1.0.21) unstable; urgency=medium

  * chore: remove unnecessary dependencies
  * chore: license check
  * refact: switch to qt6 for debian
  * feat: adapt to qt6

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Mar 2025 11:43:12 +0800

dde-api-proxy (1.0.20) unstable; urgency=medium

  * fix: 修复dde-api-proxy安全漏洞

 -- echengqi <echengqi@uniontech.com>  Thu, 13 Feb 2025 19:26:28 +0800

dde-api-proxy (1.0.19) unstable; urgency=medium

  * feat: 修复dde-api-proxy安全漏洞
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp
  * feat: 进程优化

 -- fuleyi <fuleyi@uniontech.com>  Fri, 17 Jan 2025 10:59:28 +0800
