=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  cmake,
  debhelper-compat (= 11),
  pkg-config,
- libdtkcore-dev (>=5.4.14),
- libdtkcore5-bin,
- qtbase5-dev,
- libpolkit-qt5-1-dev,
+ libdtk6core-dev,
+ libdtk6core-bin,
+ qt6-base-dev,
+ libpolkit-qt6-1-dev,
 Standards-Version: 4.1.3
 Homepage: https://www.deepin.org
 
@@ -24,7 +24,6 @@
 Architecture: any
 Depends:
  dde-daemon (>= 6.0.7),
- dde-permission-manager (>= 1.0.5),
  lastore-daemon (>= 6.0.2),
  dde-launcher (>= 6.0.5.2) | dde-launchpad (>= 0.0.1),
  dde-control-center (>= 6.0.5),
